blob: c0e72125b7293d5fb80583fcd75dfd343922f453 [file] [log] [blame]
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)
cargo-features = ["rename-dependency"]
[package]
edition = "2018"
name = "futures-util-preview"
version = "0.3.0-alpha.9"
authors = ["Alex Crichton <alex@alexcrichton.com>"]
description = "Common utilities and extension traits for the futures-rs library.\n"
homepage = "https://rust-lang-nursery.github.io/futures-rs"
documentation = "https://rust-lang-nursery.github.io/futures-api-docs/0.3.0-alpha.9/futures_util"
license = "MIT OR Apache-2.0"
repository = "https://github.com/rust-lang-nursery/futures-rs"
[lib]
name = "futures_util"
[dependencies.either]
version = "1.4"
default-features = false
[dependencies.futures-channel-preview]
version = "0.3.0-alpha.9"
default-features = false
[dependencies.futures-core-preview]
version = "0.3.0-alpha.9"
default-features = false
[dependencies.futures-io-preview]
version = "0.3.0-alpha.9"
default-features = false
[dependencies.futures-sink-preview]
version = "0.3.0-alpha.9"
default-features = false
[dependencies.futures_01]
version = "0.1.25"
optional = true
package = "futures"
[dependencies.pin-utils]
version = "0.1.0-alpha.3"
[dependencies.slab]
version = "0.4"
optional = true
[dependencies.tokio-executor]
version = "0.1.2"
optional = true
[dependencies.tokio-io]
version = "0.1.9"
optional = true
[features]
bench = []
compat = ["std", "futures_01"]
default = ["std", "futures-core-preview/either", "futures-sink-preview/either"]
io-compat = ["compat", "tokio-io"]
nightly = []
std = ["futures-core-preview/std", "futures-io-preview/std", "futures-sink-preview/std", "either/use_std", "slab"]
tokio-compat = ["compat", "tokio-executor"]